diff -u dasher-4.11/debian/changelog dasher-4.11/debian/changelog
--- dasher-4.11/debian/changelog
+++ dasher-4.11/debian/changelog
@@ -1,3 +1,18 @@
+dasher (4.11-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix "FTBFS: game_mode_helper.cpp:327:15: error: format not a string
+    literal and no format arguments [-Werror=format-security]":
+    add patch error-format-security.patch from Eric Alexander: add a format
+    argument in Src/Gtk2/game_mode_helper.cpp.
+    (Closes: #643371)
+  * Fix "ftbfs with gold or ld --no-add-needed":
+    add patch fix-binutils-gold.patch from Mònica Ramírez Arceda: force
+    linking against X11.
+    (Closes: #615705)
+
+ -- gregor herrmann <gregoa@debian.org>  Sun, 04 Dec 2011 17:04:06 +0100
+
 dasher (4.11-1) unstable; urgency=low
 
   * New upstream release:
only in patch2:
unchanged:
--- dasher-4.11.orig/debian/patches/error-format-security.patch
+++ dasher-4.11/debian/patches/error-format-security.patch
@@ -0,0 +1,12 @@
+Index: dasher-4.11/Src/Gtk2/game_mode_helper.cpp
+===================================================================
+--- dasher-4.11.orig/Src/Gtk2/game_mode_helper.cpp	2009-12-18 13:40:29.000000000 -0500
++++ dasher-4.11/Src/Gtk2/game_mode_helper.cpp	2011-11-11 12:33:12.349741593 -0500
+@@ -324,6 +324,7 @@
+ 				   GTK_DIALOG_MODAL,
+ 				   GTK_MESSAGE_INFO,
+ 				   GTK_BUTTONS_OK,
++                                   "%s",
+ 				   message);
+   gtk_dialog_run (GTK_DIALOG (pDialog));
+   gtk_widget_destroy (pDialog);
only in patch2:
unchanged:
--- dasher-4.11.orig/debian/patches/fix-binutils-gold.patch
+++ dasher-4.11/debian/patches/fix-binutils-gold.patch
@@ -0,0 +1,28 @@
+Description: Fix build failures with binutils-gold.
+Author: Mònica Ramírez Arceda <monica@probeta.net>
+Las-Update: 2011-07-17
+
+--- a/Src/Makefile.am
++++ b/Src/Makefile.am
+@@ -34,7 +34,8 @@
+ 	$(GTK2BUILD_LIBS) \
+ 	-lexpat \
+ 	$(POPT_LIBS) \
+-	$(GPELIB)
++	$(GPELIB) \
++        -lX11
+ #endif
+ 
+ #if DOQTE
+--- a/Src/Makefile.in
++++ b/Src/Makefile.in
+@@ -295,7 +295,8 @@
+ 	$(GTK2BUILD_LIBS) \
+ 	-lexpat \
+ 	$(POPT_LIBS) \
+-	$(GPELIB)
++	$(GPELIB) \
++        -lX11
+ 
+ all: all-recursive
+ 
